Skip to main content
GET
/
api
/
public
/
usage
Get daily usage data
curl --request GET \
  --url https://api.ropes.ai/api/public/usage \
  --header 'x-api-key: <api-key>'
{
  "usage": [
    {
      "date": "<string>",
      "assessmentCredits": 123,
      "videoScreeningCredits": 123
    }
  ],
  "pagination": {
    "page": 123,
    "pageSize": 123,
    "totalItems": 123,
    "totalPages": 123
  },
  "startDate": "<string>",
  "endDate": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ropes.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Query Parameters

startDate
string

Start date in YYYY-MM-DD format

endDate
string

End date in YYYY-MM-DD format

currentContract
enum<string>

If "true", automatically use the current contract date range

Available options:
true,
false
page
string
default:1

Page number (default: 1)

pageSize
string
default:100

Number of items per page (default: 100, max: 365)

timezone
string

IANA timezone for daily bucketing (e.g. "America/Los_Angeles"). Defaults to UTC.

Response

Successfully retrieved usage data

usage
object[]
required

Daily usage data

pagination
object
required

Pagination metadata

startDate
string
required

Start date of the queried range (YYYY-MM-DD)

endDate
string
required

End date of the queried range (YYYY-MM-DD)